Page MenuHomePhabricator

Deploy lazy loaded images and references to tl.m.wikipedia.org
Closed, ResolvedPublic1 Story Points

Description

As a product owner, I want lazy loaded references and images running in production on a mobile web Wikipedia so that I can observe how the enhancement that saves bandwidth impacts usage in a coarse grained fashion when the two experiments are combined (note that we already have data on Bengali of the impact of just lazy loaded images

  • Deploy lazy loaded images and references to tl.m.wikipedia.org. They should be turned on at the same time.

Related Objects

StatusAssignedTask
OpenNone
OpenCenarium
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
DeclinedNone
ResolvedJdlrobson
Resolvedphuedx
Resolvedphuedx
DeclinedNone
DeclinedCenarium
DeclinedNone
ResolvedJdlrobson
DeclinedNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedNone
DeclinedNone
DuplicateNone
DuplicateNone
Resolveddr0ptp4kt
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
DeclinedNone
DuplicateNone
ResolvedPeter
ResolvedPeter
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
DuplicateJdlrobson
DeclinedNone
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
ResolvedJhernandez
ResolvedJdlrobson
ResolvedJdlrobson

Event Timeline

Jhernandez updated the task description. (Show Details)
Jhernandez updated the task description. (Show Details)Jun 14 2016, 4:39 PM
Jdlrobson renamed this task from Deploy lazy loaded references to tl.m.wikipedia.org to Deploy lazy loaded images and references to tl.m.wikipedia.org.Jun 22 2016, 4:04 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.EditedJun 27 2016, 4:17 PM

This can be SWATed on Thursday at earliest.

Change 296257 had a related patch set uploaded (by Jdlrobson):
Enable both performance experiments on small tagalog wikipedia

https://gerrit.wikimedia.org/r/296257

On SWAT calendar for Thursday.

Change 296846 had a related patch set uploaded (by Jdlrobson):
Allow access to Special:MobileCite in stable

https://gerrit.wikimedia.org/r/296846

I've discovered the above issue which blocks a push to stable. It's a simple one liner so fast review would be appreciated. Hopefully I can schedule this for early next week if the other tasks pan out.

Change 296846 merged by jenkins-bot:
Allow access to Special:MobileCite in stable

https://gerrit.wikimedia.org/r/296846

phuedx added a comment.Jul 1 2016, 9:43 AM

Wait… 296257: Enable both performance experiments on small tagalog wikipedia appears to enable on-demand references on MFβ for all of the Wikipedias. What have I missed?

Change 296852 merged by jenkins-bot:
Enable lazy loaded references and images on Tagalog Wikipedia

https://gerrit.wikimedia.org/r/296852

Change 297542 had a related patch set uploaded (by Jdlrobson):
Allow access to Special:MobileCite in stable

https://gerrit.wikimedia.org/r/297542

Change 297542 merged by jenkins-bot:
Allow access to Special:MobileCite in stable

https://gerrit.wikimedia.org/r/297542

phuedx closed this task as Resolved.Jul 8 2016, 9:44 AM
phuedx claimed this task.

I've observed references being loaded on-demand via JavaScript on tl.m.wikipedia.org in stable mode. I also tested the same pages without JavaScript enabled, i.e. clicking through to Special:MobileCite. it should go without saying that special attention should be paid to the logs of this wiki…

The page ranking doesn't seem to have been negatively impacted. Yay. Dates in m/d/yy format, reverse, note reverse chronological, from Google Search Console. This said, I'm going to reach out to a contact anyway as a separate action.

	Dates	Position

1 7/8/16 4.5
2 7/7/16 4.1
3 7/6/16 4.1
4 7/5/16 4.2
5 7/4/16 4.0
6 7/3/16 4.2
7 7/2/16 4.3
8 7/1/16 4.4
9 6/30/16 4.1
10 6/29/16 4.0
11 6/28/16 3.9
12 6/27/16 3.9
13 6/26/16 4.0